curl -L -X PATCH 'https://api.turso.tech/v1/organizations/{organizationSlug}/databases/{databaseName}/configuration' \
-H 'Authorization: Bearer TOKEN' \
-H 'Content-Type: application/json' \
-d '{
"size_limit": "500mb",
"delete_protection": true,
"block_reads": false,
"block_writes": false,
"allowed_ips": ["203.0.113.7", "10.0.0.0/8"],
"allowed_aws_vpc_ids": ["vpce-0fe6c8807461bba49"]
}'
{
"size_limit": "10000",
"allow_attach": true,
"block_reads": false,
"block_writes": false,
"delete_protection": true,
"allowed_ips": [
"203.0.113.7",
"10.0.0.0/8"
],
"allowed_aws_vpc_ids": [
"vpce-0fe6c8807461bba49"
]
}Databases
Update Database Configuration
Update a database configuration belonging to the organization or user.
PATCH
/
v1
/
organizations
/
{organizationSlug}
/
databases
/
{databaseName}
/
configuration
curl -L -X PATCH 'https://api.turso.tech/v1/organizations/{organizationSlug}/databases/{databaseName}/configuration' \
-H 'Authorization: Bearer TOKEN' \
-H 'Content-Type: application/json' \
-d '{
"size_limit": "500mb",
"delete_protection": true,
"block_reads": false,
"block_writes": false,
"allowed_ips": ["203.0.113.7", "10.0.0.0/8"],
"allowed_aws_vpc_ids": ["vpce-0fe6c8807461bba49"]
}'
{
"size_limit": "10000",
"allow_attach": true,
"block_reads": false,
"block_writes": false,
"delete_protection": true,
"allowed_ips": [
"203.0.113.7",
"10.0.0.0/8"
],
"allowed_aws_vpc_ids": [
"vpce-0fe6c8807461bba49"
]
}curl -L -X PATCH 'https://api.turso.tech/v1/organizations/{organizationSlug}/databases/{databaseName}/configuration' \
-H 'Authorization: Bearer TOKEN' \
-H 'Content-Type: application/json' \
-d '{
"size_limit": "500mb",
"delete_protection": true,
"block_reads": false,
"block_writes": false,
"allowed_ips": ["203.0.113.7", "10.0.0.0/8"],
"allowed_aws_vpc_ids": ["vpce-0fe6c8807461bba49"]
}'
Authorizations
Path Parameters
Body
application/json
The configuration to be applied to the chosen database.
Response
200 - application/json
Successful response
Was this page helpful?